// KeyNode.cpp: implementation of the CKeyNode class.
//
//////////////////////////////////////////////////////////////////////

#include "KeyNode.h"

#include "..\Common\FileStream.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CKeyNode::CKeyNode()
{
	m_pszClassName = "CKeyNode";
}

CKeyNode::~CKeyNode()
{

}

bool CKeyNode::Read(CFileStream* lpStream)
{
	CFileStream* pStream = lpStream;

	char szName[255];
	pStream->ReadString(szName);
	if (!CUnknown::Create(szName))
		return false;

	pStream->Read(&m_nParent, sizeof(int), 1);
	pStream->Read(&m_kinematics, sizeof(KINEMATICS), 1);

	return true;
}
